/*! \file Contour.c
 *  \sa Contour.h
 */

#ifdef HAVE_CONFIG_H
	#include "config.h"
#else
#error "Cannot compile with HAVE_CONFIG_H symbol! run configure first!"
#endif

#include "./Contour.h"
#include "../include/macros.h"
#include "../shared/Matlab/matlabshared.h"

void ContourEcho(Contour* contour){

	int i;

	_printf_("Number of grids in contour: %i\n",contour->nods);
	_printf_("Grid coordinates: \n");
	for (i=0;i<contour->nods;i++){
		_printf_("%lf %lf\n",*(contour->x+i),*(contour->y+i));
	}
}
